Test Snowflake Connection
POST
/api/v1/auth/test-connection
const url = 'https://example.com/api/v1/auth/test-connection';const options = {method: 'POST'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/auth/test-connectionTest Snowflake connection using configured credentials.
This endpoint validates connectivity using environment settings.
Returns: ConnectionTestResponse with connection test results
Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”Responses
Section titled “Responses”Successful Response
Media typeapplication/json
ConnectionTestResponse
Response model for connection test.
object
Examplegenerated
{ "success": true, "message": "example", "snowflake_version": "example", "account": "example", "user": "example", "warehouse": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}